Page MenuHomePhabricator

Create composer test containers for php7.2
Closed, ResolvedPublic

Description

CI lacks composer test jobs for php 7.2. They should be build using whatever PHP packages Wikimedia production is using.

Event Timeline

hashar created this task.May 16 2019, 9:22 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 16 2019, 9:22 AM

Change 510511 had a related patch set uploaded (by Hashar; owner: Jforrester):
[integration/config@master] dockerfiles: Provide a composer-test-php72 image

https://gerrit.wikimedia.org/r/510511

Change 510511 merged by jenkins-bot:
[integration/config@master] dockerfiles: Provide a composer-test-php72 image

https://gerrit.wikimedia.org/r/510511

Change 510512 had a related patch set uploaded (by Hashar; owner: Jforrester):
[integration/config@master] Provide the php72 flavours of composer-test

https://gerrit.wikimedia.org/r/510512

Mentioned in SAL (#wikimedia-releng) [2019-05-16T09:36:47Z] <hashar> Successfully tagged docker-registry.discovery.wmnet/releng/composer-test-php72:0.1.0 # T223428

Change 510506 had a related patch set uploaded (by Hashar; owner: Jforrester):
[integration/config@master] Run 'composer-test' template on php72 too

https://gerrit.wikimedia.org/r/510506

Change 510512 merged by jenkins-bot:
[integration/config@master] Provide the php72 flavours of composer-test

https://gerrit.wikimedia.org/r/510512

Change 510506 merged by jenkins-bot:
[integration/config@master] Run 'composer-test' template on php72 too

https://gerrit.wikimedia.org/r/510506

We need one for composer-test-package as well as the related jobs :]

We need one for composer-test-package as well as the related jobs :]

The composer-test-package template in layout.yaml already covers 72 (and 73) FWICT?

hashar closed this task as Resolved.May 20 2019, 9:36 AM
hashar assigned this task to Jdforrester-WMF.

Sorry I must have been confused at some point or had an integration/config that missed the releng/composer-test-php72 container definition. I must have forgot to git pull :)